### Enumeration

# Clutter EffectPaintFlags

#### Declaration

    flags Clutter.EffectPaintFlags

#### Description [src]

Flags passed to the ‘paint’ or ‘pick’ method of `ClutterEffect`.

#### Members

`CLUTTER_EFFECT_PAINT_ACTOR_DIRTY`

  The actor or one of its children has queued a redraw before this paint. This implies that the effect should call `clutter_actor_continue_paint()` to chain to the next effect and can not cache any results from a previous paint.

  - Value: `1`
  - Available since: 16
`CLUTTER_EFFECT_PAINT_BYPASS_EFFECT`

  The effect should not be used on this frame, but it will be asked to paint the actor still.

  - Value: `2`
  - Available since: 16